Skip to main content
GET
Get transcript

Authorizations

Authorization
string
header
required

Path Parameters

transcript_id
string
required

ID of the transcript

Response

The transcript resource

A transcript object

id
string<uuid>
required

The unique identifier of your transcript

audio_url
string<url>
required

The URL of the media that was transcribed

status
enum<string>
required

The status of your transcript. Possible values are queued, processing, completed, or error.

Available options:
queued,
processing,
completed,
error
language_confidence_threshold
number<float> | null
required

The confidence threshold for the automatically detected language. An error will be returned if the language confidence is below this threshold.

Required range: 0 <= x <= 1
language_confidence
number<double> | null
required

The confidence score for the detected language, between 0.0 (low confidence) and 1.0 (high confidence)

Required range: 0 <= x <= 1
speech_model
enum<string> | null
required

The speech model used for the transcription. When null, the default model is used.

Available options:
best,
nano
webhook_auth
boolean
required

Whether webhook authentication details were provided

auto_highlights
boolean
required

Whether Key Phrases is enabled, either true or false

redact_pii
boolean
required

Whether PII Redaction is enabled, either true or false

summarization
boolean
required

Whether Summarization is enabled, either true or false

language_model
string
required
deprecated

The language model that was used for the transcript

acoustic_model
string
required
deprecated

The acoustic model that was used for the transcript

language_code

The language of your audio file. Possible values are found in Supported Languages. The default value is 'en_us'.

Available options:
en,
en_au,
en_uk,
en_us,
es,
fr,
de,
it,
pt,
nl,
af,
sq,
am,
ar,
hy,
as,
az,
ba,
eu,
be,
bn,
bs,
br,
bg,
my,
ca,
zh,
hr,
cs,
da,
et,
fo,
fi,
gl,
ka,
el,
gu,
ht,
ha,
haw,
he,
hi,
hu,
is,
id,
ja,
jw,
kn,
kk,
km,
ko,
lo,
la,
lv,
ln,
lt,
lb,
mk,
mg,
ms,
ml,
mt,
mi,
mr,
mn,
ne,
no,
nn,
oc,
pa,
ps,
fa,
pl,
ro,
ru,
sa,
sr,
sn,
sd,
si,
sk,
sl,
so,
su,
sw,
sv,
tl,
tg,
ta,
tt,
te,
th,
bo,
tr,
tk,
uk,
ur,
uz,
vi,
cy,
yi,
yo
language_detection
boolean | null

Whether Automatic language detection is enabled, either true or false

text
string | null

The textual transcript of your media file

words
object[] | null

An array of temporally-sequential word objects, one for each word in the transcript. See Speech recognition for more information.

utterances
object[] | null

When dual_channel or speaker_labels is enabled, a list of turn-by-turn utterance objects. See Speaker diarization for more information.

confidence
number<double> | null

The confidence score for the transcript, between 0.0 (low confidence) and 1.0 (high confidence)

Required range: 0 <= x <= 1
audio_duration
integer | null

The duration of this transcript object's media file, in seconds

punctuate
boolean | null

Whether Automatic Punctuation is enabled, either true or false

format_text
boolean | null

Whether Text Formatting is enabled, either true or false

disfluencies
boolean | null

Transcribe Filler Words, like "umm", in your media file; can be true or false

multichannel
boolean | null

Whether Multichannel transcription was enabled in the transcription request, either true or false

audio_channels
integer

The number of audio channels in the audio file. This is only present when multichannel is enabled.

dual_channel
boolean | null
deprecated

Whether Dual channel transcription was enabled in the transcription request, either true or false

webhook_url
string<url> | null

The URL to which we send webhook requests. We sends two different types of webhook requests. One request when a transcript is completed or failed, and one request when the redacted audio is ready if redact_pii_audio is enabled.

webhook_status_code
integer | null

The status code we received from your server when delivering the transcript completed or failed webhook request, if a webhook URL was provided

webhook_auth_header_name
string | null

The header name to be sent with the transcript completed or failed webhook requests

speed_boost
boolean | null
deprecated

Whether speed boost is enabled

auto_highlights_result
object | null

An array of results for the Key Phrases model, if it is enabled. See Key Phrases for more information.

Example:
audio_start_from
integer | null

The point in time, in milliseconds, in the file at which the transcription was started

audio_end_at
integer | null

The point in time, in milliseconds, in the file at which the transcription was terminated

word_boost
string[]

The list of custom vocabulary to boost transcription probability for

boost_param
string | null

The word boost parameter value

filter_profanity
boolean | null

Whether Profanity Filtering is enabled, either true or false

redact_pii_audio
boolean | null

Whether a redacted version of the audio file was generated, either true or false. See PII redaction for more information.

redact_pii_audio_quality
enum<string> | null

The audio quality of the PII-redacted audio file, if redact_pii_audio is enabled. See PII redaction for more information.

Available options:
mp3,
wav
Example:

"mp3"

redact_pii_policies
enum<string>[] | null

The list of PII Redaction policies that were enabled, if PII Redaction is enabled. See PII redaction for more information.

The type of PII to redact

Available options:
account_number,
banking_information,
blood_type,
credit_card_cvv,
credit_card_expiration,
credit_card_number,
date,
date_interval,
date_of_birth,
drivers_license,
drug,
duration,
email_address,
event,
filename,
gender_sexuality,
healthcare_number,
injury,
ip_address,
language,
location,
marital_status,
medical_condition,
medical_process,
money_amount,
nationality,
number_sequence,
occupation,
organization,
passport_number,
password,
person_age,
person_name,
phone_number,
physical_attribute,
political_affiliation,
religion,
statistics,
time,
url,
us_social_security_number,
username,
vehicle_id,
zodiac_sign
redact_pii_sub
enum<string>

The replacement logic for detected PII, can be "entity_type" or "hash". See PII redaction for more details.

Available options:
entity_name,
hash
speaker_labels
boolean | null

Whether Speaker diarization is enabled, can be true or false

speakers_expected
integer | null

Tell the speaker label model how many speakers it should attempt to identify, up to 10. See Speaker diarization for more details.

content_safety
boolean | null

Whether Content Moderation is enabled, can be true or false

content_safety_labels
object | null

An array of results for the Content Moderation model, if it is enabled. See Content moderation for more information.

Example:
iab_categories
boolean | null

Whether Topic Detection is enabled, can be true or false

iab_categories_result
object | null

The result of the Topic Detection model, if it is enabled. See Topic Detection for more information.

Example:
custom_spelling
object[] | null

Customize how words are spelled and formatted using to and from values

auto_chapters
boolean | null

Whether Auto Chapters is enabled, can be true or false

chapters
object[] | null

An array of temporally sequential chapters for the audio file

summary_type
string | null

The type of summary generated, if Summarization is enabled

summary_model
string | null

The Summarization model used to generate the summary, if Summarization is enabled

summary
string | null

The generated summary of the media file, if Summarization is enabled

custom_topics
boolean | null

Whether custom topics is enabled, either true or false

topics
string[]

The list of custom topics provided if custom topics is enabled

sentiment_analysis
boolean | null

Whether Sentiment Analysis is enabled, can be true or false

sentiment_analysis_results
object[] | null

An array of results for the Sentiment Analysis model, if it is enabled. See Sentiment Analysis for more information.

entity_detection
boolean | null

Whether Entity Detection is enabled, can be true or false

entities
object[] | null

An array of results for the Entity Detection model, if it is enabled. See Entity detection for more information.

speech_threshold
number<float> | null

Defaults to null. Reject audio files that contain less than this fraction of speech. Valid values are in the range [0, 1] inclusive.

Required range: 0 <= x <= 1
throttled
boolean | null

True while a request is throttled and false when a request is no longer throttled

error
string

Error message of why the transcript failed